#ifndef FPGAFS_H
#define FPGAFS_H

#include <linux/kref.h>
#include <linux/mutex.h>
#include <linux/spinlock.h>
#include <linux/fs.h>

/* magic number the file system */
enum {
  FPGAFS_MAGIC = 0x4255AA42,
};

struct fpga_context {
	int bla1;
	int bla2;
};

struct fpgafs_inode_info {
	struct fpga_context *i_ctx;
	struct inode vfs_inode;
};

extern struct tree_descr fpgafs_dir_contents[];

#define FPGAFS_I(inode) \
		container_of(inode, struct fpgafs_inode_info, vfs_inode)

#endif /* FPGAFS_H */
